sample_MPoly2.dwg
Hi all,
I have six polylines, one of them is closed. I need to create vertices on a closed polyline. The sample drawing is attached. The vertex coordinates to be created are the coordinates of first vertex of other polylines.
So far I only managed to store the coordinate of starting vertex of one polyline.
(vl-load-com)
(setq s1 (car (entsel)))
(setq pl (vlax-ename->vla-object s1))
(defun vlax-list->2D-point (lst)
(if lst
(cons (list (car lst) (cadr lst))
(vlax-list->2D-point (cddr lst)))))
(setq vertCoord(vlax-list->2D-point (vlax-get pl 'Coordinates)))
(setq vertStart (car vertCoord))
Appreciate your help.
Thank you